scala.xml.dtd

# ContentModelParser

#### object ContentModelParser extends Scanner

Parser for regexps (content models in DTD element declarations)

Source
  ContentModelParser.scala

Linear Supertypes
Scanner, TokenTests, Tokens, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ContentModelParser
2. Scanner
3. TokenTests
4. Tokens
5. AnyRef
6. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### final val CHOICE: Int(9)

   Definition Classes
     Tokens

7. #### final val COMMA: Int(5)

   Definition Classes
     Tokens

8. #### final val END: Int(10)

   Definition Classes
     Tokens

9. #### final val ENDCH: Char('\00')

   Definition Classes
     Scanner

10. #### final val LPAREN: Int(3)

    Definition Classes
      Tokens

11. #### final val NAME: Int(1)

    Definition Classes
      Tokens

12. #### final val OPT: Int(8)

    Definition Classes
      Tokens

13. #### final val PLUS: Int(7)

    Definition Classes
      Tokens

14. #### final val RPAREN: Int(4)

    Definition Classes
      Tokens

15. #### final val S: Int(13)

    Definition Classes
      Tokens

16. #### final val STAR: Int(6)

    Definition Classes
      Tokens

17. #### final val TOKEN_PCDATA: Int(0)

    Definition Classes
      Tokens

18. #### final def acc(d: Char): Unit

    Definition Classes
      Scanner

19. #### final def accS(ds: Seq[Char]): Unit

    Definition Classes
      Scanner

20. #### def accept(tok: Int): Unit

21. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

22. #### def atom: ContentModel.Letter

23. #### def checkPubID(s: String): Boolean

    Definition Classes
      TokenTests

24. #### def checkSysID(s: String): Boolean

    Definition Classes
      TokenTests

25. #### def choiceRest(p: ContentModel.RegExp): ContentModel.Alt

26. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

27. #### def contentspec: ContentModel

28. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

29. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

30. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

31. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

32. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

33. #### final def initScanner(s: String): Unit

    initializes the scanner on input s

    initializes the scanner on input s

    Definition Classes
      Scanner

34. #### def isAlpha(c: Char): Boolean

    These are 99% sure to be redundant but refactoring on the safe side.

    These are 99% sure to be redundant but refactoring on the safe side.

    Definition Classes
      TokenTests

35. #### def isAlphaDigit(c: Char): Boolean

    Definition Classes
      TokenTests

36. #### final def isIdentChar: Boolean

    Definition Classes
      Scanner

37. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

38. #### def isName(s: String): Boolean

        Name ::= ( Letter | '_' ) (NameChar)*

    See [5] of XML 1.0 specification.

    Definition Classes
      TokenTests

39. #### def isNameChar(ch: Char): Boolean

        NameChar ::= Letter | Digit | '.' | '-' | '_' | ':'
        | CombiningChar | Extender

    See [4] and Appendix B of XML 1.0 specification.

    Definition Classes
      TokenTests

40. #### def isNameStart(ch: Char): Boolean

        NameStart ::= ( Letter | '_' )

    where Letter means in one of the Unicode general categories `{ Ll, Lu, Lo, Lt, Nl }`.

    We do not allow a name to start with `:`. See [3] and Appendix B of XML 1.0 specification

    Definition Classes
      TokenTests

41. #### def isPubIDChar(ch: Char): Boolean

    Definition Classes
      TokenTests

42. #### final def isSpace(cs: Seq[Char]): Boolean

        (#x20 | #x9 | #xD | #xA)+

    Definition Classes
      TokenTests

43. #### final def isSpace(ch: Char): Boolean

        (#x20 | #x9 | #xD | #xA)

    Definition Classes
      TokenTests

44. #### def isValidIANAEncoding(ianaEncoding: Seq[Char]): Boolean

    Returns `true` if the encoding name is a valid IANA encoding.

    Returns `true` if the encoding name is a valid IANA encoding. This method does not verify that there is a decoder available for this encoding, only that the characters are valid for an IANA encoding name.

    ianaEncoding

      The IANA encoding name.

    Definition Classes
      TokenTests

45. #### def maybeSuffix(s: ContentModel.RegExp): ContentModel.RegExp

46. #### final def name: Int

    Definition Classes
      Scanner

47. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

48. #### final def next(): Unit

    Definition Classes
      Scanner

49. #### final def nextToken(): Unit

    scans the next token

    scans the next token

    Definition Classes
      Scanner

50. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

51. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

52. #### def parse(s: String): ContentModel

    parses the argument to a regexp

53. #### def particle: ContentModel.RegExp

54. #### final def readToken: Int

    Definition Classes
      Scanner

55. #### def regexp: ContentModel.RegExp

56. #### def sOpt(): Unit

57. #### def seqRest(p: ContentModel.RegExp): ContentModel.RegExp

58. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

59. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

60. #### var token: Int

    Definition Classes
      Scanner

61. #### final def token2string(i: Int): String

    Definition Classes
      Tokens

62. #### var value: String

    Definition Classes
      Scanner

63. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

64. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

65. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from Scanner

### Inherited from TokenTests

### Inherited from Tokens

### Inherited from AnyRef

### Inherited from Any

### Ungrouped